# Class Domain

java.lang.Object
com.io7m.certusine.vanilla.internal.jaxb.Domain

public class Domain extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element ref="{urn:com.io7m.certusine:configuration:2}Certificates"/>
            <element ref="{urn:com.io7m.certusine:configuration:2}OutputReferences"/>
          </sequence>
          <attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
          <attribute name="Account" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
          <attribute name="DNSConfigurator" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
        </restriction>
      </complexContent>
    </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `account`
  `protected Certificates`
  `certificates`
  `protected String`
  `dnsConfigurator`
  `protected String`
  `name`
  `protected OutputReferences`
  `outputReferences`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Domain()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAccount()`
  Gets the value of the account property.
  `Certificates`
  `getCertificates()`
  Gets the value of the certificates property.
  `String`
  `getDNSConfigurator()`
  Gets the value of the dnsConfigurator property.
  `String`
  `getName()`
  Gets the value of the name property.
  `OutputReferences`
  `getOutputReferences()`
  Gets the value of the outputReferences property.
  `void`
  `setAccount(String value)`
  Sets the value of the account property.
  `void`
  `setCertificates(Certificates value)`
  Sets the value of the certificates property.
  `void`
  `setDNSConfigurator(String value)`
  Sets the value of the dnsConfigurator property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setOutputReferences(OutputReferences value)`
  Sets the value of the outputReferences property.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### certificates

    protected Certificates certificates

  - ### outputReferences

    protected OutputReferences outputReferences

  - ### name

    protected String name

  - ### account

    protected String account

  - ### dnsConfigurator

    protected String dnsConfigurator

- ## Constructor Details

  - ### Domain

    public Domain()

- ## Method Details

  - ### getCertificates

    public Certificates getCertificates()
    Gets the value of the certificates property.
    Returns:
      possible object is `Certificates`

  - ### setCertificates

    public void setCertificates(Certificates value)
    Sets the value of the certificates property.
    Parameters:
      `value` - allowed object is `Certificates`

  - ### getOutputReferences

    public OutputReferences getOutputReferences()
    Gets the value of the outputReferences property.
    Returns:
      possible object is `OutputReferences`

  - ### setOutputReferences

    public void setOutputReferences(OutputReferences value)
    Sets the value of the outputReferences property.
    Parameters:
      `value` - allowed object is `OutputReferences`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getAccount

    public String getAccount()
    Gets the value of the account property.
    Returns:
      possible object is `String`

  - ### setAccount

    public void setAccount(String value)
    Sets the value of the account property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDNSConfigurator

    public String getDNSConfigurator()
    Gets the value of the dnsConfigurator property.
    Returns:
      possible object is `String`

  - ### setDNSConfigurator

    public void setDNSConfigurator(String value)
    Sets the value of the dnsConfigurator property.
    Parameters:
      `value` - allowed object is `String`